<?

// отправка результатов сканирования на сайте
class Send_report {

	static $fpath_zip = 'results.zip'; // это важно, оно должно быть статичным

	function __construct() {
	}

	function create_zip($add_files = array()) {
		GLOBAL $setting, $Paths;

		if(file_exists(self::$fpath_zip))
			unlink(self::$fpath_zip);


		// проверяем, есть ли 

		// нельзя вызывать отсюда потому он запускается на другой форме
		// из-за этого $setting->save() не может прочитать поля главной формы и сохраняет настройки неправильно
		//$setting->save(); 

		$files = array(
			$setting->fpath_gop, //global_options.txt
			$Paths->data_file('setting.txt'),  //disc_info/1DEFFFF1_setting.txt
			'log.txt',
			'log_thread.txt',
			'error.txt',
			'license_key.txt',
		);

		for($i=2; $i<=10; $i++)
			$files[] = "error_$i.txt";

		$files = array_merge($files, $add_files);

		clearstatcache();

		$zip = new ZipArchive();
		$zip->open(self::$fpath_zip, ZIPARCHIVE::CREATE);
		foreach($files as $path) {
			if(file_exists($path)) // мало ли по каким чудным причинам файл исчез. В error.txt возможно будут указаны причины почему так вышло.
				$zip->addFile($path); 
		}
		$zip->close(); //Завершаем работу с архивом

		// хоть какая то проверка что архив реально создан
		if(file_exists(self::$fpath_zip) and filesize(self::$fpath_zip) > 100)
			 return true;
		else return false;
	}

	function send() {

	}
}


?>